// A list of themes

const THEMES = [
    { val: "adwaita",    name: "Adwaita" },     // LGPLv3 https://github.com/GNOME/adwaita-icon-theme
    { val: "adwaita2",   name: "Adwaita (alternative)" }, // Based on Adwaita
    { val: "arc",        name: "Arc" },         // GPLv3  https://github.com/horst3180/arc-icon-theme
    { val: "elementary", name: "Elementary" },  // GPLv3  https://github.com/elementary/icons
    { val: "mintx",      name: "Mint-X" },      // GPLv3  https://github.com/linuxmint/mint-x-icons
    { val: "numix",      name: "Numix" },       // GPLv3  https://github.com/numixproject/numix-icon-theme
    { val: "paper",      name: "Papirus" }      // LGPLv3 https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
];

function getThemeIndexByValue(val) {
    for (let i = 0; i < THEMES.length; i++)
        if (THEMES[i].val == val)
            return i;

    return -1;
}

